Name:           wordgrinder
Version:        0.6
Release:        4%{?dist}
Summary:        A command line word processor

License:        MIT
URL:            http://cowlark.com/wordgrinder
%global pkgid   %{name}-%{version}
Source:         https://github.com/davidgiven/%{name}/archive/%{name}-%{version}.tar.gz

# Patch the Makefile to work with Fedora technology and policy
Patch1:         fedora_build.patch

BuildRequires:  gcc make ncurses-devel
BuildRequires:	luajit luajit-devel compat-lua-libs compat-lua-devel compat-lua lua-filesystem-compat
BuildRequires:	zlib-devel libXft-devel
Requires:       ncurses luajit lua-filesystem-compat
# luaJIT is not available on all architectures
ExcludeArch:	s390x ppc64 ppc64le

%description
WordGrinder is a Unicode-aware character cell word processor that runs in a
terminal (or a Windows console). It is designed to get the hell out of your way
and let you get some work done.

WordGrinder is a word processor for processing words. It is not WYSIWYG. It is
not point and click. It is not a desktop publisher. It is not a text editor. It
does not do fonts and it barely does styles. What it does do is words. It's
designed for writing text. It gets out of your way and lets you type

%prep

%setup -q -n %{name}-%{name}-%{version}
%patch1 -p1

###############################################################################
%build

make %{?_smp_mflags} DEBUGINFO=y

###############################################################################
%install

make install PREFIX=$RPM_BUILD_ROOT/%{_prefix}

###############################################################################
%files
%license COPYING
%_bindir/wordgrinder
%_docdir/wordgrinder/README.wg
%_mandir/man1/wordgrinder.1*

###############################################################################
%changelog

* Thu Jul 06 2017 Ben Cotton <bcotton@fedoraproject.org> - 0.6-4
- Fix debuginfo issues

* Thu Jul 06 2017 Ben Cotton <bcotton@fedoraproject.org> - 0.6-3
- Update the patch to build on Fedora 26

* Sun Jul 02 2017 Ben Cotton <bcotton@fedoraproject.org> - 0.6-2
- Change lua to a version supported by upstream (5.1)

* Wed Jun 07 2017 Ben Cotton <bcotton@fedoraproject.org> - 0.6-1
- Initial RPM release
